- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages: default System System.Caching System.Collections System.Data System.Data.ActiveRecord System.Data.ActiveRecord.Relations System.Data.ActiveRecord.Scaffold System.Data.ActiveReecord.Scaffold.InputBuilder System.Data.Commom.Sqlite System.Data.Common System.Data.Common.Mssql System.Data.Common.Mysql System.Data.Common.Oracle System.Data.Common.Pgsql System.Data.Common.Sqlite System.Data.DataGateway System.Data.SqlMap System.Data.SqlMap.Configuration System.Data.SqlMap.Statements System.Exceptions System.I18N System.IO System.Security System.Util System.Web System.Web.Services System.Web.UI System.Web.UI.ActiveControls System.Web.UI.WebControls System.Web.UI.WebControls.assets System.Xml Classes: IListControlAdapter TActiveButton TActiveCheckBox TActiveCheckBoxList TActiveControlAdapter TActiveCustomValidator TActiveCustomValidatorClientSide TActiveDatePicker TActiveDropDownList TActiveHiddenField TActiveHyperLink TActiveImage TActiveImageButton TActiveLabel TActiveLinkButton TActiveListBox TActiveListControlAdapter TActiveListItemCollection TActivePageAdapter TActivePager TActivePanel TActiveRadioButton TActiveRadioButtonList TActiveRatingList TActiveTextBox TAutoComplete TAutoCompleteEventParameter TAutoCompleteTemplate TBaseActiveCallbackControl TBaseActiveControl TCallback TCallbackClientScript TCallbackClientSide TCallbackErrorHandler TCallbackEventParameter TCallbackOptions TCallbackPageStateTracker TCallbackResponseAdapter TCallbackResponseWriter TEventTriggeredCallback TInPlaceTextBox TInvalidCallbackException TMapCollectionDiff TScalarDiff TStyleDiff TTimeTriggeredCallback TTriggeredCallback TValueTriggeredCallback TViewStateDiff |
Keyword
# Class TActiveButton
    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TWebControl
                |
                --TButton
                   |
                   --TActiveButton
TActiveButton is the active control counter part to TButton. When a TActiveButton is clicked, rather than a normal post back request a callback request is initiated. The OnCallback event is raised during a callback request and it is raise after the OnClick event. When the TBaseActiveCallbackControl::setEnableUpdate property is true, changing the Text property during callback request will update the button's caption upon callback response completion. Since: 3.1 Author: Wei Zhuo <weizhuo[at]gamil[dot]com>
Constants Inherited From TControl
AUTOMATIC_ID_PREFIX, CLIENT_ID_SEPARATOR, CS_CHILD_INITIALIZED, CS_CONSTRUCTED, CS_INITIALIZED, CS_LOADED, CS_PRERENDERED, CS_STATE_LOADED, ID_FORMAT, ID_SEPARATOR, IS_CHILD_CREATED, IS_CREATING_CHILD, IS_DISABLE_THEMING, IS_DISABLE_VIEWSTATE, IS_ID_SET, IS_SKIN_APPLIED, IS_STYLESHEET_APPLIED, RF_ADAPTER, RF_AUTO_BINDINGS, RF_CHILD_STATE, RF_CONTROLS, RF_CONTROLSTATE, RF_DATA_BINDINGS, RF_EVENTS, RF_NAMED_CONTROLS, RF_NAMED_CONTROLS_ID, RF_NAMED_OBJECTS, RF_SKIN_ID,
Constructor Summary
public | __construct Creates a new callback control, sets the adapter to TActiveControlAdapter. If you override this class, be sure to set the adapter appropriately by, for example, by calling this constructor.
Method Summary
protected void | addAttributesToRender ( mixed $writer) Ensure that the ID attribute is rendered and registers the javascript code for initializing the active control.
TBaseActiveCallbackControl | getActiveControl ()
protected string | getClientClassName ()
TCallbackClientSide | getClientSide ()
void | onCallback ( TCallbackEventParameter $param) This method is invoked when a callback is requested. The method raises 'OnCallback' event to fire up the event handlers. If you override this method, be sure to call the parent implementation so that the event handler can be invoked.
void | raiseCallbackEvent ( TCallbackEventParameter $param) Raises the callback event. This method is required by
protected void | renderClientControlScript ( mixed $writer) Override parent implementation, no javascript is rendered here instead the javascript required for active control is registered in addAttributesToRender.
void | setText ( string $value) Updates the button text on the client-side if the setEnableUpdate property is set to true.
Methods Inherited From TButton
TButton::addAttributesToRender(), TButton::canCauseValidation(), TButton::getButtonType(), TButton::getCausesValidation(), TButton::getClientClassName(), TButton::getCommandName(), TButton::getCommandParameter(), TButton::getData(), TButton::getEnableClientScript(), TButton::getIsDefaultButton(), TButton::getPostBackOptions(), TButton::getTagName(), TButton::getText(), TButton::getValidationGroup(), TButton::needPostBackScript(), TButton::onClick(), TButton::onCommand(), TButton::raisePostBackEvent(), TButton::renderClientControlScript(), TButton::renderContents(), TButton::setButtonType(), TButton::setCausesValidation(), TButton::setCommandName(), TButton::setCommandParameter(), TButton::setData(), TButton::setEnableClientScript(), TButton::setIsDefaultButton(), TButton::setText(), TButton::setValidationGroup()
Methods Inherited From TWebControl
TWebControl::addAttributesToRender(), TWebControl::clearStyle(), TWebControl::copyBaseAttributes(), TWebControl::createStyle(), TWebControl::getAccessKey(), TWebControl::getBackColor(), TWebControl::getBorderColor(), TWebControl::getBorderStyle(), TWebControl::getBorderWidth(), TWebControl::getCssClass(), TWebControl::getDisplay(), TWebControl::getFont(), TWebControl::getForeColor(), TWebControl::getHasStyle(), TWebControl::getHeight(), TWebControl::getStyle(), TWebControl::getTabIndex(), TWebControl::getTagName(), TWebControl::getToolTip(), TWebControl::getWidth(), TWebControl::render(), TWebControl::renderBeginTag(), TWebControl::renderContents(), TWebControl::renderEndTag(), TWebControl::setAccessKey(), TWebControl::setBackColor(), TWebControl::setBorderColor(), TWebControl::setBorderStyle(), TWebControl::setBorderWidth(), TWebControl::setCssClass(), TWebControl::setDisplay(), TWebControl::setForeColor(), TWebControl::setHeight(), TWebControl::setStyle(), TWebControl::setTabIndex(), TWebControl::setToolTip(), TWebControl::setWidth()
Methods Inherited From TControl
TControl::addedControl(), TControl::addParsedObject(), TControl::addToPostDataLoader(), TControl::applyStyleSheetSkin(), TControl::autoBindProperty(), TControl::autoDataBindProperties(), TControl::bindProperty(), TControl::broadcastEvent(), TControl::bubbleEvent(), TControl::clearChildState(), TControl::clearControlState(), TControl::clearNamingContainer(), TControl::clearViewState(), TControl::convertUniqueIdToClientId(), TControl::createChildControls(), TControl::createControlCollection(), TControl::dataBind(), TControl::dataBindChildren(), TControl::dataBindProperties(), TControl::ensureChildControls(), TControl::findControl(), TControl::findControlsByID(), TControl::findControlsByType(), TControl::focus(), TControl::getAdapter(), TControl::getAllowChildControls(), TControl::getAttribute(), TControl::getAttributes(), TControl::getChildControlsCreated(), TControl::getClientID(), TControl::getControls(), TControl::getControlStage(), TControl::getControlState(), TControl::getCustomData(), TControl::getEnabled(), TControl::getEnableTheming(), TControl::getEnableViewState(), TControl::getHasAdapter(), TControl::getHasAttributes(), TControl::getHasChildInitialized(), TControl::getHasControls(), TControl::getHasInitialized(), TControl::getHasLoaded(), TControl::getHasLoadedPostData(), TControl::getHasPreRendered(), TControl::getID(), TControl::getNamingContainer(), TControl::getPage(), TControl::getParent(), TControl::getRegisteredObject(), TControl::getSkinID(), TControl::getSourceTemplateControl(), TControl::getTemplateControl(), TControl::getUniqueID(), TControl::getViewState(), TControl::getVisible(), TControl::hasAttribute(), TControl::initRecursive(), TControl::isDescendentOf(), TControl::isObjectRegistered(), TControl::loadRecursive(), TControl::loadState(), TControl::loadStateRecursive(), TControl::onDataBinding(), TControl::onInit(), TControl::onLoad(), TControl::onPreRender(), TControl::onUnload(), TControl::preRenderRecursive(), TControl::raiseBubbleEvent(), TControl::registerObject(), TControl::removeAttribute(), TControl::removedControl(), TControl::render(), TControl::renderChildren(), TControl::renderControl(), TControl::saveState(), TControl::saveStateRecursive(), TControl::setAdapter(), TControl::setAttribute(), TControl::setChildControlsCreated(), TControl::setControlStage(), TControl::setControlState(), TControl::setCustomData(), TControl::setEnabled(), TControl::setEnableTheming(), TControl::setEnableViewState(), TControl::setID(), TControl::setPage(), TControl::setSkinID(), TControl::setTemplateControl(), TControl::setViewState(), TControl::setVisible(), TControl::trackViewState(), TControl::traverseChildControls(), TControl::unbindProperty(), TControl::unloadRecursive(), TControl::unregisterObject(), TControl::__get()
Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()
Methods Inherited From TComponent
TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()
Constant Summary
Constructor Details
## __construct
public __construct |
Creates a new callback control, sets the adapter to TActiveControlAdapter. If you override this class, be sure to set the adapter appropriately by, for example, by calling this constructor.
Method Details
## addAttributesToRender
protected void addAttributesToRender | (mixed $writer )
Ensure that the ID attribute is rendered and registers the javascript code for initializing the active control.
Input
mixed | $writer |
Output
Exception
## getActiveControl
public TBaseActiveCallbackControl getActiveControl | ()
Output
TBaseActiveCallbackControl | standard callback control options.
Exception
## getClientClassName
protected string getClientClassName | ()
Output
string | corresponding javascript class name for this TActiveButton.
Exception
## getClientSide
public TCallbackClientSide getClientSide | ()
Output
TCallbackClientSide | client side request options.
Exception
## onCallback
public void onCallback | (TCallbackEventParameter $param )
This method is invoked when a callback is requested. The method raises 'OnCallback' event to fire up the event handlers. If you override this method, be sure to call the parent implementation so that the event handler can be invoked.
Input
TCallbackEventParameter | $param | event parameter to be passed to the event handlers
Output
Exception
## raiseCallbackEvent
public void raiseCallbackEvent | (TCallbackEventParameter $param )
Raises the callback event. This method is required by ICallbackEventHandler} interface. If CausesValidation is true, it will invoke the page's TPage:: method first. It will raise OnClick event first and then the OnCallback event. This method is mainly used by framework and control developers.
Input
TCallbackEventParameter | $param | the event parameter
Output
Exception
## renderClientControlScript
protected void renderClientControlScript | (mixed $writer )
Override parent implementation, no javascript is rendered here instead the javascript required for active control is registered in addAttributesToRender.
Input
mixed | $writer |
Output
Exception
## setText
public void setText | (string $value )
Updates the button text on the client-side if the setEnableUpdate property is set to true.
Input
string | $value | caption of the button
Output
Exception